"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = removeLog;
var _child_process = require("child_process");
function removeLog(_ref, _ref2) {
  var t = _ref.types;
  var _ref2$disabledCurrent = _ref2.disabledCurrentUser,
    disabledCurrentUser = _ref2$disabledCurrent === void 0 ? false : _ref2$disabledCurrent,
    _ref2$users = _ref2.users,
    users = _ref2$users === void 0 ? [] : _ref2$users,
    __test__ = _ref2.__test__;
  var reg = /author\s(.*?)\n/;
  var _execSync = (__test__ === null || __test__ === void 0 ? void 0 : __test__.execSync) || _child_process.execSync;
  function getCurrentGitUser() {
    try {
      var user = _execSync('git config user.name').toString().trim();
      return user;
    } catch (e) {}
  }
  function getLineAuthor(filePath, lineNumber) {
    try {
      var blameOutput = _execSync(`git blame -p -L ${lineNumber},${lineNumber} ${filePath}`).toString();
      var author = blameOutput.match(reg)[1];
      return author;
    } catch (e) {
      return undefined;
    }
  }
  if (!disabledCurrentUser) {
    var currentUser = getCurrentGitUser();
    if (currentUser !== void 0) users.push(currentUser);
  }
  users.push('Not Committed Yet');
  return {
    visitor: {
      CallExpression(path, state) {
        var _path$node = path.node,
          callee = _path$node.callee,
          loc = _path$node.loc;
        if (t.isMemberExpression(callee) && t.isIdentifier(callee.object, {
          name: 'console'
        }) && t.isIdentifier(callee.property, {
          name: 'log'
        })) {
          var filePath = state.file.opts.filename;
          var lineNumber = loc.start.line;
          var lineAuthor = getLineAuthor(filePath, lineNumber);
          if (lineAuthor && !users.includes(lineAuthor)) {
            path.remove();
          }
        }
      }
    }
  };
}